Feature # 2356 (New): Improved rendering of lexicons

Descriptors ought not require the division parent for lexicon (just the word form)

11/20/2018 08:49 PM - Luke Murphey
Description

History

#1 - 11/20/2018 09:00 PM - Luke Murphey

Questions:

1. How are divisions looked up?

1. get_division will not allow a lookup with only the word since it requires that the parent be null

2. How are division references created in the view?

1. They come out of get_division_indicators()

2. I could have the importer drop the parent divisions but that means that TOC won't work

#2 - 11/20/2018 09:19 PM - Luke Murphey

Options:

1. Have the importer drop the parent divisions

1. Means that TOC won't work

2. Have different functionality for a document of type lexicon

1. Could have it:

1. Include a verse lookup tool that auto-fills

2. Render links only using the leaf division

3. Allow lookups using only the leaf division

#3 - 11/24/2018 07:42 PM - Luke Murphey

Could produce an index with:

Word form

Verse (Foreign Key)

Work (so that we can display which work it is for)

Would need to make a transform to build this.
#4 - 12/26/2018 03:23 AM - Luke Murphey

- Parent task changed from #551 to #2356

#5 - 12/30/2018 02:10 AM - Luke Murphey

- Target version changed from 3.0 to 3.1

#6 - 06/11/2019 02:03 AM - Luke Murphey

- Target version changed from 3.1 to Plus_3
